Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 12496 - rpm 4 is _very_ chatty, and dog slow on low RAM hosts
rpm 4 is _very_ chatty, and dog slow on low RAM hosts
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
http://www.owlriver.com/~herrold/rpm-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-18 21:16 EDT by R P Herrold
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-18 21:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2000-06-18 21:16:50 EDT
In a simple package install on a locally compiled package, it took over 3
min to install a _single_ 300K package (joe).  a seven package install
(openssl, openssl, and the 5 openssh parts from another host took over ten
minutes.

The dependency resolution logic seems to need serious reqork to gain speed.

Perhaps build a dependency list, and then sort + iuniq it, before checking
what is left.

The sample URL is on a dual pent 150, with 'only' 24 meg -- RH 6.9 would
not even install with 'only' 16 M
Comment 1 Jeff Johnson 2000-06-20 22:01:06 EDT
You need more memory and possibly a faster cpu.

The dependency resolutions are already nearly as fast as posssible by
caching information in memory, but that has increased the memory footprint of
rpm considerably. Running a SMP kernel with only 24 Mb increases contention
for memory even more, as other processes will run (and compete for memory)
at the same time as rpm.

More I cannot guess without more detailed information.
Comment 2 R P Herrold 2000-06-21 00:24:31 EDT
Even adding more physical ram, and freeing ram by killing off unneeded 
processes, and removing stray processes, the snapshots at 20 sec. intervals are 
pretty scary.  Only 3 M of ram is in use by RPM, yet it takes almost 2 wall 
clock min (1 M 7 s process time) to install a trivial package under 300K in 
size.

Processor contention _should NOT_ be an issue --- the second processessor shows 
as idle.

http://swampfox.owlriver.com:/~herrold/joe.install

I'm worried.

Note You need to log in before you can comment on or make changes to this bug.